1.1
1.1
get /v1/clusters
Description
get clusters list
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | 클러스터 이름 Example : sample-cluster | any of [string, null] | None |
| query | status optional | 클러스터 상태 Example : RUNNING | any of [array[string], string, null] | None |
| query | kubernetes_version optional | 클러스터 버전 Example : v1.29.8 | any of [array[string], string, null] | None |
| query | subnet_id optional | 클러스터 Subnet ID Example : 023c57b14f11483689338d085e061492 | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ClusterListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/clusters
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = ske 1.1"
Example HTTP response
Response 200
{
"clusters": [
{
"account_id": "617b3d0e90c24a5fa1f65a3824861354",
"created_at": "2025-03-31T00:23:17Z",
"id": "70a599e031e749b7b260868f441e862b",
"kubernetes_version": "v1.29.8",
"modified_at": "2025-03-31T00:23:17Z",
"name": "sample-cluster",
"node_count": "5",
"status": "RUNNING",
"subnet_id": "023c57b14f11483689338d085e061492"
}
],
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
]
}